global function AddDefaultLocalClientCommand



void function PingCommand(entity player, array<string> args)
{
    int ping = MyPing()
    Logger.Info("ping: " + ping)
}

void function ListAllCommandsCommand(entity player, array<string> args)
{
    table<string, array<void functionref(entity, array<string>)> > commands = localClientCommand.commands
    foreach(command, ary in commands)
    {
        // write in chat panel
        Logger.Info("/" + command)
        // log to console
        print(command)
    }
}

void function ListAllPlayersCommand(entity player, array<string> args)
{
    array<entity> players = GetPlayerArray()
    foreach(player in players)
    {
        string name = player.GetPlayerName()
        // write in chat panel
        Logger.Info(name)
        // log to console
        print(name)
    }
}

void function GetConVarCommand(entity player, array<string> args)
{
    if (args.len() < 2)
        return
    Logger.Info(args[1] + " : " + GetConVarString(args[1]))
}

void function AddDefaultLocalClientCommand()
{
    AddLocalClientCommand("ping", PingCommand)
    AddLocalClientCommand("list_all_player", ListAllPlayersCommand)

    AddLocalClientCommand("list_all_command", ListAllCommandsCommand)
    AddLocalClientCommand("help", ListAllCommandsCommand)
    AddLocalClientCommand("?", ListAllCommandsCommand)
    
    AddLocalClientCommand("convar", GetConVarCommand)

    // CLIENT SCRIPT COMPILE ERROR Undefined variable "AddClientCommandCallback"
    // #if CLIENT
    // AddClientCommandCallback("pings", PingCommand)
    // #endif
}